@import '../../../../../../../../../vendor/scandipwa/source/src/app/component/SearchField/SearchField.style';

:root {
    --search-field-background: var(--primary-base-color);
    --search-field-visible-background: var(--grey-6-color);
    --search-field-color: var(--grey-6-color);
    --search-field-border-color: var(--grey-6-color);
    --search-clear-background: var(--secondary-base-color);
    --search-bar-width: 320px;
    --search-bar-max-width: min(400px);

    @include tablet {
        --search-bar-width: 204px;
        --search-bar-max-width: 204px;
    }

    .prm {
        --search-field-color: #000;
    }
}

.SearchField {
    height: 100%;
    flex-grow: 1;

    @include after-mobile {
        max-width: calc(100% - var(--header-logo-width));
        text-align: left;
    }

    @include before-desktop {
        display: none;
    }

    &-Wrapper {
        height: 100%;

        @include after-mobile {
            border: 0;
            border-right: var(--header-border);
            border-left: var(--header-border);
        }

        @include desktop {
            display: inline-block;
            margin-right: 1rem;
        }
    }

    &_isActive {
        --search-field-border-color: var(--grey-6-color);
    }

    &-Input {
        width: var(--search-bar-width);
        height: 100%;
        max-width: var(--search-bar-max-width);
        padding-left: 116px;
        border: none;
        border-radius: 0;
        color: $white;
        font-size: 14px;
        transition-property: opacity, width, border;
        caret-color: $white;

        @include desktop {
            width: var(--search-bar-width);
            max-width: var(--search-bar-max-width);
            padding: 0;
            padding-left: 50px;
            border-radius: 0;
            margin: 0;
            font-size: 14px;
            transition-property: opacity, width, border;

            &_isActive {
                padding-left: 75px;
            }
        }

        @include tablet {
            padding-left: 65px;
        }

        &:focus {
            border: none;
        }
    }

    &-Placeholder {
        padding-left: 40px;
        top: 28px;
        left: 40px;
        transform: none;
        visibility: visible;
        color: var(--grey-2-color);
        font-size: 14px;
        white-space: nowrap;

        @include tablet {
            left: 23px;
        }

        &::before {
            border: none;
            position: absolute;
            top: -8px;
            transform: scale(1.5);
            box-shadow: none;
            content: url('../../style/images/search.svg');
        }

        &_isActive {
            transform: none;
            opacity: 1;

            &::before {
                opacity: 1;
            }

            > span {
                opacity: 0;
            }
        }
    }
}

.prm {
    .SearchField {
        &-Input {
            color: var(--search-field-color);
            caret-color: var(--search-field-color);
        }

        &-Placeholder {
            filter: brightness(0);
        }

        .SearchOverlay {
            border-color: #ebebeb;

            .SearchItem-Title {
                color: var(--search-field-color);
            }
        }
    }
}
